import pygame
from pygame.locals import *
from lib.SpriteManager import SpriteManager
import random


screen_width = 1024
screen_height = 600

class Enemigo(SpriteManager):

    def __init__(self):
        SpriteManager.__init__(self)
        self.loadSprites()
        self.defaultSurface(self.move_left)
        self.initialPosition(100,130)
        self.velocity = 3
        self.movement = 1

        

    def loadSprites(self):
        self.move_left = self.getAnimation('minigames/race/images/arcadio2/izquierda', 'left')
        self.move_right = self.getAnimation('minigames/race/images/arcadio2/izquierda', 'right', True)
        self.win = self.getAnimation('minigames/race/images/arcadio2/win', 'left')
        self.lose = self.getAnimation('minigames/race/images/arcadio2/lose', 'left')
       
    def ia(self):
        
        self.velocity = random.randint(1,10)
        rect = self.rect
        contador=0


        if (rect.left + rect.width) >= screen_width:
            self.movement = -1
        elif rect.left <= 0:
            self.movement = 1


        self.move(self.movement * self.velocity, 0)
 

        if self.movement == 1:
            
            self.surface = self.animate(self.move_right)

        else:
            
            self.surface = self.animate(self.move_left)



    def moveLeft(self):
        self.move(-self.velocity,0)
        self.surface = self.animate(self.move_left)

    def moveRight(self):
        self.move(self.velocity,0)
        self.surface = self.animate(self.move_right)

    def moveUp(self):
        self.surface = self.animate(self.win)

    def moveDown(self):
        self.move(0,self.velocity)
        self.surface = self.animate(self.move_down)

    def colisionado(self):
        self.hide()

    def winner(self):
        self.surface = self.animate(self.win)
        
    def loser(self):
        self.surface = self.animate(self.lose)
        
    def iaAcercarse(self,xEnem,yEnem):

        centerX=self.rect.left
       
        centerY=self.rect.top


        if (xEnem-centerX)>10:
            self.moveRight()
        if (xEnem-centerX)<-10:
            self.moveLeft()
        if (yEnem-centerY)<-10:
            self.moveUp()          
        if (yEnem-centerY)>10:
            self.moveDown() 







